<?php
/**
 * Getting started template
 *
 * @package CreateandCode
 * @subpackage startright
 */

$customizer_url = admin_url() . 'customize.php';
?>

<div id="freepro" class="ccfw-tab-pane">

	<div class="ccfw-tab-pane-center">

		<h1 class="ccfw-welcome-title"><?php esc_html_e( 'Need More? Go PRO', 'startright' ); ?></h1>
		<h2><?php esc_html_e( 'Take it to the next level. See the differences below:', 'startright' ); ?></h2>

		<table class="free-pro-table">
			<thead>
				<tr>
				<th></th>
				<th><?php esc_html_e( 'StartRight', 'startright' ); ?></th>
				<th><?php esc_html_e( 'StartRight', 'startright' ); ?> <strong><?php esc_html_e( 'PRO', 'startright' ); ?></strong></th>
				</tr>
			</thead>

			<tbody>
				<tr>
					<td>
						<h3><?php esc_html_e( 'Beautiful Design', 'startright' ); ?></h3>
						<p><?php esc_html_e( 'We have been designing websites professionally for over 15 years. We understand clean, modern design with gorgeous typography and stylish details and bring it to each theme we create.', 'startright' ); ?></p>
					</td>
					<td class="only-lite">
						<span class="dashicons-before dashicons-yes"></span>
					</td>
					<td class="only-lite">
						<span class="dashicons-before dashicons-yes"></span>
					</td>
				</tr>

				<tr>
					<td>
						<h3><?php esc_html_e( 'Mobile-Ready and Responsive for All Devices', 'startright' ); ?></h3>
						<p><?php esc_html_e( 'From the outset, we have built the theme with mobile devices in mind – it looks fantastic and is quick to navigate on both tablets and phones. Your website deserves to be seen on every kind of device and we’ve ensured that’s the case.', 'startright' ); ?></p>
					</td>
					<td class="only-lite">
						<span class="dashicons-before dashicons-yes"></span>
					</td>
					<td class="only-lite">
						<span class="dashicons-before dashicons-yes"></span>
					</td>
				</tr>

				<tr>
					<td>
						<h3><?php esc_html_e( 'Page Builder', 'startright' ); ?></h3>
						<p><?php esc_html_e( 'No more drag, drop and wait. Elementor lets you design on the frontend with instant, real time results for easy customization of any element on every page. Edit the structure with powerful controls so it’s just how you want it.', 'startright' ); ?></p>
					</td>
					<td class="only-lite">
						<span class="dashicons-before dashicons-yes"></span>
					</td>
					<td class="only-lite">
						<span class="dashicons-before dashicons-yes"></span>
					</td>
				</tr>

				<tr>
					<td>
						<h3><?php esc_html_e( 'Personalize to Match Your Style - includes both Grid and List Layouts', 'startright' ); ?></h3>
						<p><?php esc_html_e( 'In the Pro version you get far more options to tweak the styling such as adjusting the news layout to a grid, switching on/off sidebars, dozens of color controls and tweaking each typography selector such as headings, paragraphs and body copy. Get ultimate control with Pro!', 'startright' ); ?></p>
					</td>
					<td class="only-pro">
						<span class="dashicons-before dashicons-no-alt"></span>
					</td>
					<td class="only-lite">
						<span class="dashicons-before dashicons-yes"></span>
					</td>
				</tr>

				<tr>
					<td>
						<h3><?php esc_html_e( 'WooCommerce Integration', 'startright' ); ?></h3>
						<p><?php esc_html_e( 'We have added a beautiful WooCommerce integration to the Pro version, meaning you can sell items with your very own store. Powering nearly 30% of online shops, WooCommerce gives you an unrivalled feature set to begin selling online.', 'startright' ); ?></p>
					</td>
					<td class="only-pro">
						<span class="dashicons-before dashicons-no-alt"></span>
					</td>
					<td class="only-lite">
						<span class="dashicons-before dashicons-yes"></span>
					</td>
				</tr>

				<tr>
					<td>
						<h3><?php esc_html_e( 'Striking Call to Action Button', 'startright' ); ?></h3>
						<p><?php esc_html_e( 'The Pro version includes a prominent call to action button option in the heading of each page.', 'startright' ); ?></p>
					</td>
					<td class="only-pro">
						<span class="dashicons-before dashicons-no-alt"></span>
					</td>
					<td class="only-lite">
						<span class="dashicons-before dashicons-yes"></span>
					</td>
				</tr>

				<tr>
					<td>
						<h3><?php esc_html_e( 'No Credit Footer Link', 'startright' ); ?></h3>
						<p><?php esc_html_e( 'Remove/edit the "Proudly powered by WordPress Theme: StartRight by Create and Code" copyright notice from the footer area.', 'startright' ); ?></p>
					</td>
					<td class="only-pro">
						<span class="dashicons-before dashicons-no-alt"></span>
					</td>
					<td class="only-lite">
						<span class="dashicons-before dashicons-yes"></span>
					</td>
				</tr>

				<tr>
					<td>
						<h3><?php esc_html_e( 'RTL Language Support', 'startright' ); ?></h3>
						<p><?php esc_html_e( 'Display your site in a right-to-left language such as Arabic or Hebrew.', 'startright' ); ?></p>
					</td>
					<td class="only-pro">
						<span class="dashicons-before dashicons-no-alt"></span>
					</td>
					<td class="only-lite">
						<span class="dashicons-before dashicons-yes"></span>
					</td>
				</tr>

				<tr>
					<td>
						<h3><?php esc_html_e( 'Fantastic Support', 'startright' ); ?></h3>
						<p><?php esc_html_e( 'Our Pro customers receive access to world-class customer support from the actual people who have built the themes. We reply to tickets speedily and efficiently - you will be in very good hands if you have any questions.', 'startright' ); ?></p>
					</td>
					<td class="only-pro">
						<span class="dashicons-before dashicons-no-alt"></span>
					</td>
					<td class="only-lite">
						<span class="dashicons-before dashicons-yes"></span>
					</td>
				</tr>

				</tbody>

				</table>

				<div class="ccfw-theme-discount">
				<p><?php _e( 'Get startright Pro by joining the Create and Code Theme Club! Get every new release, updates and superb support for 1 year. <strong>SAVE a Whopping 30%</strong> with the code <strong>CCTHEME30</strong>', 'startright' ); ?></p>
				<a class="button-primary" href="<?php echo esc_url( 'https://createandcode.com/get-theme-club' ); ?>"><?php esc_html_e( 'Shop Themes Now', 'startright' ); ?> &rarr;</a>
				</div>

	</div>

	<div class="ccfw-clear"></div>

</div>
